# Uses of Class
javafx.scene.transform.Transform

Packages that use Transform
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of Transform in javafx.scene

Methods in javafx.scene that return Transform
Modifier and Type
Method
Description
`final Transform`
Node.`getLocalToParentTransform()`
Gets the value of the `localToParentTransform` property.
`final Transform`
Node.`getLocalToSceneTransform()`
Gets the value of the `localToSceneTransform` property.
`Transform`
SnapshotParameters.`getTransform()`
Gets the current transform.
Methods in javafx.scene that return types with arguments of type Transform
Modifier and Type
Method
Description
`final ObservableList<Transform>`
Node.`getTransforms()`
Defines the ObservableList of `Transform` objects to be applied to this `Node`.
`final ReadOnlyObjectProperty<Transform>`
Node.`localToParentTransformProperty()`
An affine transform that holds the computed local-to-parent transform.
`final ReadOnlyObjectProperty<Transform>`
Node.`localToSceneTransformProperty()`
An affine transform that holds the computed local-to-scene transform.
Methods in javafx.scene with parameters of type Transform
Modifier and Type
Method
Description
`void`
SnapshotParameters.`setTransform(Transform transform)`
Sets the transform to the specified value.

## Uses of Transform in javafx.scene.transform

Subclasses of Transform in javafx.scene.transform
Modifier and Type
Class
Description
`class`
`Affine`
The `Affine` class represents a general affine transform.
`class`
`Rotate`
This class represents an `Affine` object that rotates coordinates around an anchor point.
`class`
`Scale`
This class represents an `Affine` object that scales coordinates by the specified factors.
`class`
`Shear`
This class represents an `Affine` object that shears coordinates by the specified multipliers.
`class`
`Translate`
This class represents an `Affine` object that translates coordinates by the specified factors.
Methods in javafx.scene.transform that return Transform
Modifier and Type
Method
Description
`Transform`
Transform.`clone()`
Returns a deep copy of this transform.
`Transform`
Affine.`createConcatenation(Transform transform)`
`Transform`
Rotate.`createConcatenation(Transform transform)`
`Transform`
Scale.`createConcatenation(Transform transform)`
`Transform`
Shear.`createConcatenation(Transform transform)`
`Transform`
Transform.`createConcatenation(Transform transform)`
Returns the concatenation of this transform and the specified transform.
`Transform`
Translate.`createConcatenation(Transform transform)`
`Transform`
Rotate.`createInverse()`
`Transform`
Shear.`createInverse()`
`Transform`
Transform.`createInverse()`
Returns the inverse transform of this transform.
Methods in javafx.scene.transform with parameters of type Transform
Modifier and Type
Method
Description
`void`
Affine.`append(Transform transform)`
Appends the specified transform to this instance.
`Transform`
Affine.`createConcatenation(Transform transform)`
`Transform`
Rotate.`createConcatenation(Transform transform)`
`Transform`
Scale.`createConcatenation(Transform transform)`
`Transform`
Shear.`createConcatenation(Transform transform)`
`Transform`
Transform.`createConcatenation(Transform transform)`
Returns the concatenation of this transform and the specified transform.
`Transform`
Translate.`createConcatenation(Transform transform)`
`void`
Affine.`prepend(Transform transform)`
Prepends the specified transform to this instance.
`void`
Affine.`setToTransform(Transform transform)`
Sets the values of this instance to the values provided by the specified transform.
`boolean`
Transform.`similarTo(Transform transform, Bounds range, double maxDelta)`
Checks if this transform is similar to the specified transform.
Constructors in javafx.scene.transform with parameters of type Transform
Modifier
Constructor
Description
``
`Affine(Transform transform)`
Creates a new instance of `Affine` filled with the values from the specified transform.